<?php

declare(strict_types=1);

namespace LogseqGem;

use League\CommonMark\Parser\MarkdownParser;
use League\CommonMark\Environment\Environment;
use League\CommonMark\Extension\CommonMark\CommonMarkCoreExtension;

abstract class Parser {
    private MarkdownParser $parser;

    public function __construct() {
        $environment = new Environment();
        $environment->addExtension(new CommonMarkCoreExtension());
        $this->parser = new MarkdownParser($environment);
    }

    public function parse(string $input) {
        return $this->parser->parse($input);
    }
}
